package main;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

import model.Dobavljac;
import model.Proizvod;
import org.hibernate.HibernateException;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.search.FullTextSession;
import org.hibernate.search.Search;
import org.hibernate.search.query.dsl.QueryBuilder;

import util.HibernateUtility;

public class Main {

    /**
     * @param args
     */
    public static void main(String[] args) throws HibernateException {
        Main m = new Main();
        /*
         List<Proizvod> proizvodi=new ArrayList<Proizvod>();
         Proizvod p1=new Proizvod(6,"Kotorska krempita",100);
         proizvodi.add(p1);
         m.kreirajIUbaciDobavljaca(6, "Sarajevska pita", "Beograd, Svetogorska", proizvodi);
         m.kreirajIUbaciDobavljaca(7, "Aroma Kotor", "Beograd, Sarajevska 41", new ArrayList<Proizvod>());
         List l=m.listDobavljac();
         Iterator i=l.iterator();
         while(i.hasNext()){
         Object p=i.next();
         System.out.println(p);
         }
         */
        List<Dobavljac> dobavljaci=m.pronadjiDobavljaceFullText("sarajevska  aroma kotor");
        System.out.println(dobavljaci);
        HibernateUtility.getSessionFactory().close();
    }

    public List<Dobavljac> pronadjiDobavljaceFullText(String keyword) {
        List dobavljaci = null;
        try {
            //otvaranje sesije
            Session session = HibernateUtility.getSessionFactory().openSession();
            //kreiranje sesije za FullText upite
            FullTextSession fullTextSession = Search.getFullTextSession(session);
            //pravljenje/osvjezavanje indeksera
            fullTextSession.createIndexer().startAndWait();
            //pocetak transakcije
            fullTextSession.beginTransaction();
            QueryBuilder qb = fullTextSession.getSearchFactory().buildQueryBuilder().forEntity(Dobavljac.class).get();
            //pravljenje Lucene upita
            org.apache.lucene.search.Query luceneQuery = qb
                    .keyword()
                    .onFields("naziv", "adresa")
                    .matching(keyword)
                    .createQuery();

            // konveryija Lucene upita u Query
            Query query = fullTextSession.createFullTextQuery(luceneQuery, Dobavljac.class);

            // izvrsenje upita
            dobavljaci = query.list();
            return dobavljaci;
        } catch (InterruptedException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }
        return dobavljaci;
    }
    /*
     public void kreirajIUbaciDobavljaca(int dobavljacID, String naziv, String adresa, List<Proizvod> proizvodi){
     Session session=HibernateUtility.getSessionFactory().openSession();
     session.beginTransaction();
     Dobavljac  d=new Dobavljac();
     d.setDobavljacID(dobavljacID);
     d.setNaziv(naziv);
     d.setAdresa(adresa);
     d.setProizvodi(proizvodi);
     session.saveOrUpdate(d);
     session.getTransaction().commit();
        
     }
    
     public List listDobavljac(){
     Session session=HibernateUtility.getSessionFactory().openSession();
     session.beginTransaction();
     Query query=session.createQuery("from Dobavljac");
     List lista=query.list();//session.createQuery("from Proizvod").list();
     session.getTransaction().commit();
     return lista;
     }
     */
}
